Skip to content

Configure the Active Directory account rule settings

Request

Early Access
OPA roles:
  • resource_admin

Configures the Active Directory account rule settings that apply to the entire list of required account rules

Security
bearerAuth
Path
team_namestringrequired

The name of your team

ad_connection_idstring, (regex)(schemas-UUID)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The UUID of an Active Directory connection

Example:a747a818-a4c4-4446-8a87-704216495a08
Bodyapplication/jsonrequired
allow_partial_matchesboolean

Allow partial matches for the defined criteria

matching_criteriaobject(ActiveDirectoryMatchingCriteria)

This matching criteria only applies to individual account rules. Imported users are recognized as an exact match if they match all of the following attributes.

partial_matching_criteriaArray of objects(ActiveDirectoryPartialMatchingCondition)

Conditions for partial matching on Active Directory account and Okta user names

POST
/v1/teams/{team_name}/resource_assignment/active_directory/{ad_connection_id}/rule_settings
curl -i -X POST \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_assignment/active_directory/a747a818-a4c4-4446-8a87-704216495a08/rule_settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "allow_partial_matches": true,
    "matching_criteria": {
      "display_name": true,
      "email": true,
      "first_and_last_name": true,
      "username": true
    },
    "partial_matching_criteria": [
      {
        "match_value": "string",
        "operator": "ENDS WITH"
      }
    ]
  }'

Responses

No Content

Response
No content